Skip to main content
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
configuration
/
generate
curl --request POST \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/configuration/generate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "googleOAuthToken": "ya29.a0AfH6SM..."
}
'
{
  "spreadsheetId": "1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms",
  "spreadsheetUrl": "https://docs.google.com/spreadsheets/d/1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgVE2upms"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Request to generate a new FMV1 configuration template spreadsheet

googleOAuthToken
string
required

A valid Google OAuth2 access token with Google Sheets create permission

title
string

Title for the new spreadsheet. If omitted, defaults to "Configuration - {ISO timestamp}".

Response

Spreadsheet generated successfully

Result of exporting FMV1 configuration to a Google Spreadsheet

spreadsheetId
string
required

The ID of the spreadsheet that was written to

spreadsheetUrl
string
required

Direct URL to the spreadsheet